Bug 519447 - [QLogic 5.5 bug] qla2xxx - updates and fixes from upstream or testing.
Summary: [QLogic 5.5 bug] qla2xxx - updates and fixes from upstream or testing.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
high
high
Target Milestone: alpha
: 5.5
Assignee: Tom Coughlan
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
: 480315 511971 516683 538103 (view as bug list)
Depends On:
Blocks: 533192 557292 481160 533941 5.5TechNotes-Updates
TreeView+ depends on / blocked
 
Reported: 2009-08-26 16:48 UTC by Marcus Barrow
Modified: 2018-12-05 15:11 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
the <filename>qla2xxx</filename> driver for QLogic Fibre Channel Host Bus Adapters has been updated to version 8.03.01.02.05.05-k
Clone Of:
Environment:
Last Closed: 2010-03-30 07:12:37 UTC


Attachments (Terms of Use)
initial 5.5 fixes 8.03.01.02.05.05-k (20.57 KB, patch)
2009-10-09 15:55 UTC, Marcus Barrow
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0178 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 12:18:21 UTC

Description Marcus Barrow 2009-08-26 16:48:14 UTC
Patches are being prepared for fixes from upstream and also  testing of the in-box driver by QLogic and our partners.

Comment 1 Andrius Benokraitis 2009-08-26 17:13:07 UTC
*** Bug 511971 has been marked as a duplicate of this bug. ***

Comment 2 Marcus Barrow 2009-10-08 16:46:11 UTC
*** Bug 480315 has been marked as a duplicate of this bug. ***

Comment 3 Marcus Barrow 2009-10-09 15:55:34 UTC
Created attachment 364268 [details]
initial 5.5 fixes 8.03.01.02.05.05-k

qla2xxx - Initial rhel 5.5 updates. 8.03.01.02.05.05-k

 - Fix qla2x00_eh_wait_on_command to wait correctly
   d970432c48ab8dd28216e80942723aeb505b623e

 - Do not wait for command on non EH path

 - Correctly set FCF_TAPE_PRESENT flag based on scsi-device
   8474f3a02a18e18459663ad88951822c62a45068

 - Further limit device-table (qla_devtbl) lookup to non-24xx
   ab67114935d611caffe18063d1777f8c4f8b4272

 - Avoid panic if application requests AEN on deleted vport
   rhel 5 specific.

 - Process VP DPC only if topology is Fabric

 - Perform an implicit login to the Management Server
   e1f916035f149540e5090207ceafca9ba779084e

 - Properly handle UNDERRUN. Fixes-BZ-480315
 - Fix DEBUG compilation errors
 - Get FW versions when MPI is responding, FCoE fix
 - Fix garbage character at the end of port name

 - Fix compilation warnings on PPC

 - Correct Multi ID IOCBs structure definition

 - Ensure Vports rport delete on isp abort
   rhel 5 specific

 - Updated version to 8.03.01.02.05.05-k
   c59c61493febac295e71a2c017fc0075620dbc6f

Comment 4 Chris Ward 2009-10-20 08:14:16 UTC
@QLogic, @IBM

We need to confirm that there is commitment to test 
for the resolution of this request during the RHEL 5.5 Test
Phase, if it is accepted into the release. 

Please post a confirmation before Oct 23rd, 2009, 
including the contact information for testing engineers.

Comment 5 Tom Coughlan 2009-10-20 15:45:31 UTC
*** Bug 516683 has been marked as a duplicate of this bug. ***

Comment 6 IBM Bug Proxy 2009-10-20 18:50:39 UTC
------- Comment From lcm@us.ibm.com 2009-10-20 14:49 EDT-------
IBM will provide test results.

Comment 7 John Jarvis 2009-11-10 17:56:37 UTC
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.

Comment 8 Don Zickus 2009-11-17 21:57:01 UTC
in kernel-2.6.18-174.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.

Comment 10 Beth Zeranski 2009-11-21 22:29:39 UTC
*** Bug 538103 has been marked as a duplicate of this bug. ***

Comment 14 Ryan Lerch 2010-01-27 21:06:57 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
the <filename>qla2xxx</filename> driver for QLogic Fibre Channel Host Bus Adapters has been updated to version 8.03.01.02.05.05-k

Comment 17 Chris Ward 2010-02-11 10:18:46 UTC
~~ Attention Customers and Partners - RHEL 5.5 Beta is now available on RHN ~~

RHEL 5.5 Beta has been released! There should be a fix present in this 
release that addresses your request. Please test and report back results 
here, by March 3rd 2010 (2010-03-03) or sooner.

Upon successful verification of this request, post your results and update 
the Verified field in Bugzilla with the appropriate value.

If you encounter any issues while testing, please describe them and set 
this bug into NEED_INFO. If you encounter new defects or have additional 
patch(es) to request for inclusion, please clone this bug per each request
and escalate through your support representative.

Comment 18 IBM Bug Proxy 2010-02-18 21:21:04 UTC
------- Comment From pbogdanovic@us.ibm.com 2010-02-18 16:19 EDT-------
Installed RHEL5.5 beta on disk connected to a Qlogic  ISP2432-based 4Gb Fibre Channel adapter using the qla2xxx driver version 8.03.01.04.05.05-k.

Ran disk I/O stress using the dt tool without error.

I am working on getting the Qlogic CNA PCIe adapter to work with the switch in our lab. I am waiting to get the results for that adapter to mark this feature as verified.

Comment 19 IBM Bug Proxy 2010-02-19 23:40:39 UTC
------- Comment From pbogdanovic@us.ibm.com 2010-02-19 18:33 EDT-------
Installed RHEL5.5 beta on FC disks connected to the QLogic Corp. 10GbE Converged Network Adapter using qla2xxx driver version 8.03.01.04.05.05-k. I ran disk I/O stress tests with dt without errors.

Comment 20 Lalit Chandivade 2010-03-17 04:33:11 UTC
Internal QA verified the fixes.

Comment 22 errata-xmlrpc 2010-03-30 07:12:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html


Note You need to log in before you can comment on or make changes to this bug.